Subject: [Rfc-markdown] 1.2.13: add -3 (--v3) command line flag

From: Carsten Bormann <[email-masked]>
Date: Fri, 1 Nov 2019 22:19:12 +0100

I just pushed version 1.2.13 of kramdown-rfc2629 (I know, daring a couple of days before the I-D deadline, so please do report problems right away so I can fix them quickly).

This adds a “-3” flag (long form: --v3) to both kdrfc and kramdown-rfc2629.

In the latter, this does not do much yet(*), but gradually will start to use more of v3’s features.
If you do need something in the markdown processing to use new v3 features, please speak up, otherwise the update schedule will remain leisurely.
(Note that in many cases just putting in the XML right into the markdown document is a valid workaround, but please do speak up when you need this.)

In kdrfc, the -3 flag invokes xml2rfc (local or remote) with the --v3 command line flag, so it is easy to see how RFCXMLv3 processing will look like.  I do not recommend to do this at this stage unless you want to take part in the debugging of the brave new v3 world.

Update as usual:

	gem update

Grüße, Carsten

(*) FYI: I needed this to enable “orgascii” as a short term workaround for the issue described in https://mailarchive.ietf.org/arch/msg/xml2rfc-dev/MOhbjkfsWDEMVDaBKlYcia-jm3w — I expect we will need to find a more general way to introduce ascii variants (really: Latin script, but that’s not how the attribute is called) for all kinds of text.